package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import jakarta.validation.ConstraintViolation;
import jakarta.validation.Validator;
import java.util.Comparator;
import java.util.Locale;
import java.util.Set;

public class ClientBean {
    @Autowired
    Validator validator;

    public void processOrder(Order order) {
        if (validateOrder(order)) {
            System.out.println("processing " + order);
        }
    }

    private boolean validateOrder(Order order) {
        Locale.setDefault(Locale.US);
        Set<ConstraintViolation<Order>> c = validator.validate(order);
        if (c.size() > 0) {
            System.err.println("Order validation errors:");
            c.stream().sorted(Comparator.comparing(v->v.getPropertyPath().toString()))
             .map(v -> v.getMessage()).forEach(System.err::println);
            return false;
        }
        return true;
    }
}