package com.logicbig.example;

import jakarta.validation.constraints.DecimalMin;
import jakarta.validation.constraints.Future;
import jakarta.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

public class Order {
    @NotNull(message = "{date.empty}")
    @Future(message = "{date.future}")
    private Date date;

    @NotNull(message = "{price.empty}")
    @DecimalMin(value = "0", inclusive = false, message = "{price.invalid}")
    private BigDecimal price;

    public void setDate(Date date) {
        this.date = date;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Date getDate() {
        return date;
    }

    public BigDecimal getPrice() {
        return price;
    }

    @Override
    public String toString() {
        return "Order{'date='" + date + "', price=" + price + '}';
    }
}